﻿#pragma once

#include "LMAmmoType.h"
#include "Kismet/KismetMathLibrary.h"
#include "LMAmmoData.generated.h"


USTRUCT(BlueprintType)
struct FLMAmmoData : public FTableRowBase
{
	GENERATED_BODY()

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EAmmoType AmmoType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(ClampMin=1, ClampMax=1000, Uimin=1, Uimax=1000))
	int MaxAmmo;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(ClampMin=0, Uimin=0))
	int AmmoCount;

	void AddAmmo(const int Quantity)
	{
		AmmoCount += UKismetMathLibrary::Clamp(Quantity, 0, MaxAmmo);
	}
};
